%define python_compile_opt python -O -c "import compileall; compileall.compile_dir('.')"
%define python_compile     python -c "import compileall; compileall.compile_dir('.')"

%define ezwebdir %_datadir/%name
%define databasedir %{_localstatedir}/%{_lib}/%name

%define svnrev 1825

Name:		ezweb-platform
Version:	0.1
Release:	%mkrel 0.1.svn%svnrev
# downloaded from svn:
# svn export https://svn.forge.morfeo-project.org/svn/ezwebplatform/ezweb_platform/src/trunk
Source:		ezweb-platform-svn%{svnrev}.tar.bz2
URL:		http://ezweb.morfeo-project.org/
License:	GPLv2+
Group:		System/Servers
Summary:	EzWeb Platform
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:	python-devel, python-sqlite, python-django >= 1.0, python-libxml2dom
BuildRequires:	python-psycopg, python-imaging
Requires:	python-django >= 1.0, apache, apache-mod_python, python-sqlite
Requires:	python-psycopg python-imaging python-libxml2dom
BuildArch:	noarch
%description
The EzWeb project is based on the development of key technologies to be
employed in building the front end layer of a new generation SOA
architecture

%prep
%setup -q -n ezweb-platform-svn%{svnrev}
sed -ie "s/^DATABASE_ENGINE = 'postgresql'/DATABASE_ENGINE = 'sqlite3'/" settings.py
sed -ie "s|^DATABASE_NAME = '.*'|DATABASE_NAME = '%{buildroot}%{databasedir}/database'|" settings.py

%build
%python_compile
%python_compile_opt

%install
rm -Rf %{buildroot}

mkdir -p %buildroot%databasedir
touch %{buildroot}%{databasedir}/database

./manage.py syncdb <<EOF
no

EOF
sed -ie "s|^DATABASE_NAME = '.*'|DATABASE_NAME = '%{databasedir}/database'|" settings.py

mkdir -p %{buildroot}%{ezwebdir}
cp -a * %{buildroot}%{ezwebdir}

mkdir -p %buildroot%_webappconfdir
cat > %buildroot%_webappconfdir/%name.conf << EOF
  <Location />
    SetHandler python-program
    PythonHandler django.core.handlers.modpython
    SetEnv DJANGO_SETTINGS_MODULE settings

    PythonPath "['/usr/share/ezweb-platform'] + sys.path"
  </Location>

  Alias /media /usr/share/python-support/python-django/django/contrib/admin/media
  Alias /site-media /usr/share/ezweb-platform/media
  Alias /repository /var/www/gadgets
EOF

%post
%_post_webapp

%postun
%_postun_webapp

%files
%defattr(-,root,root)
%config(noreplace) %_webappconfdir/%name.conf
%{ezwebdir}
%attr(0770,root,apache) %databasedir
%config(noreplace) %attr(0660,root,apache) %databasedir/database


%changelog
* Wed Apr 08 2009 Nicolas Vigier <nvigier@mandriva.com> 0.1-0.1.svn1825mdv2009.1
+ Revision: 365131
- new svn version

* Wed Dec 10 2008 Nicolas Vigier <nvigier@mandriva.com> 0.1-0.1.svn1580mdv2009.1
+ Revision: 312545
- provide default sqlite database
- add requires on python-libxml2dom
- add requires on python-imaging
- new svn version
- import ezweb-platform


